@import url('https://fonts.googleapis.com/css2?family=Merriweather');

@media (max-width: 576px) {
  .navbar-toggler {
    display: block;
  }
  .navbar-collapse {
    display: none;
  }
  .navbar-collapse.show {
    display: block;
  }
}

.ken-footer{
  font-size: 15px;
}


/* Card Style */

.card-container {
  /* width: 300px; */
  /* height: 300px; */
  position: relative;
  border-radius: 10px;
}

.card-container::before {
  content: "";
  z-index: -1;
  position: absolute;
  inset: 0;
  background: linear-gradient(-45deg, #fc00ff 0%, #00dbde 100%);
  transform: translate3d(0, 0, 0) scale(0.95);
  filter: blur(20px);
}

.card {
  width: 100%;
  height: 100%;
  border-radius: inherit;
  overflow: hidden;
}

.card .img-content {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(-45deg, #fc00ff 0%, #00dbde 100%);
  transition: scale 0.6s, rotate 0.6s, filter 1s;
}

.card .img-content svg {
  width: 50px;
  height: 50px;
  fill: #212121;
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.card .content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 10px;
  color: #e8e8e8;
  padding: 20px 24px;
  line-height: 1.5;
  border-radius: 5px;
  opacity: 0;
  pointer-events: none;
  transform: translateY(50px);
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.card .content .heading {
  font-size: 32px;
  font-weight: 700;
}

.card:hover .content {
  opacity: 1;
  transform: translateY(0);
}

.card:hover .img-content {
  scale: 2.5;
  rotate: 30deg;
  filter: blur(7px);
}

.card:hover .img-content svg {
  fill: transparent;
}

body {
  background: linear-gradient(160deg, #000551, rgba(0, 0, 0, 1), #000551);
}

.ken-presentation, .ken-header{
  font-family: "Merriweather", 'serif';
}

/* Form style */

.form-container {
  width: 400px;
  background: #000551 padding-box,
              linear-gradient(145deg, transparent 35%,#e81cff, #40c9ff) border-box;
  border: 2px solid #40c9ff;
  padding: 32px 24px;
  font-size: 14px;
  font-family: inherit;
  color: white;
  display: flex;
  flex-direction: column;
  gap: 20px;
  box-sizing: border-box;
  border-radius: 16px;
}

.form-container button:active {
  scale: 0.95;
}

.form-container .form {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.form-container .form-group {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.form-container .form-group label {
  display: block;
  margin-bottom: 5px;
  font-weight: 600;
  font-size: 12px;
}

.form-container .form-group input {
  width: 100%;
  padding: 12px 16px;
  border-radius: 8px;
  color: #fff;
  font-family: inherit;
  background-color: transparent;
  border: 1px solid #fff;
}

.form-container .form-group textarea {
  width: 100%;
  padding: 12px 16px;
  border-radius: 8px;
  resize: none;
  color: #fff;
  height: 96px;
  border: 1px solid #fff;
  background-color: transparent;
  font-family: inherit;
}

.form-container .form-group input::placeholder {
  opacity: 0.5;
}

.form-container .form-group input:focus {
  outline: none;
  border-color: #40c9ff;
}

.form-container .form-group textarea:focus {
  outline: none;
  border-color: #40c9ff;
}

.form-container .form-submit-btn {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  align-self: flex-start;
  font-family: inherit;
  font-weight: 600;
  color: #fff;
  width: 40%;
  background: #000551;
  border: 1px solid #fff;
  padding: 12px 16px;
  font-size: inherit;
  gap: 8px;
  margin-top: 8px;
  cursor: pointer;
  border-radius: 6px;
}

.form-container .form-submit-btn:hover {
  background-color: #40c9ff;
  border-color: #40c9ff;
}


/*Code editor*/

.code-editor {
  max-width: 300px;
  background-color: #1d1e22;
  box-shadow: 0px 4px 30px #000551;
  border-radius: 8px;
  padding: 2px;
  font-family: Lato, sans-serif;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 10px;
}

.title {
  font-family: Lato, sans-serif;
  font-weight: 900;
  font-size: 14px;
  letter-spacing: 1.57px;
  color: rgb(212 212 212);
}

.icon {
  width: 20px;
  transition: .2s ease;
}

.icon:hover {
  cursor: pointer;
  border-radius: 50px;
  background-color: #6e7281;
}

.editor-content {
  margin: 0 10px 10px;
  color: white;
}

.property {
  margin-left: 30px;
}

.property:hover {
  cursor: text;
}

.editor-content .color-0 {
  color: rgb(86 156 214);
}

.editor-content .color-1 {
  color: rgb(182 206 168);
}

.editor-content .color-2 {
  color: rgb(156 220 254);
}

.editor-content .color-3 {
  color: rgb(207 146 120);
}

.color-preview-1,.color-preview-2 {
  height: 8px;
  width: 8px;
  border: 1px solid #fff;
  display: inline-block;
  margin-right: 3px;
}

.color-preview-1 {
  background-color: #1d1e22;
}

.color-preview-1 {
  background-color: rgba(0, 0, 0, 0.5);
}

/* Anim card */

.e-card {
  margin: 100px auto;
  background: transparent;
  box-shadow: 0px 8px 28px -9px #00ddeb;
  position: relative;
  width: 350px;
  height: 330px;
  border-radius: 15px;
  overflow: hidden;
}

.wave {
  position: absolute;
  width: 500px;
  height: 700px;
  opacity: 0.6;
  left: 0;
  top: 0;
  margin-left: -50%;
  margin-top: -70%;
  background: linear-gradient(744deg,#af40ff,#5b42f3 60%,#00ddeb);
}

.icon-c {
  width: 3em;
  margin-top: -1em;
  padding-bottom: 1em;
}

.infotop {
  text-align: center;
  font-size: 20px;
  position: absolute;
  top: 5.6em;
  left: 0;
  right: 0;
  color: rgb(255, 255, 255);
  font-weight: 600;
}

.name {
  font-size: 14px;
  font-weight: 100;
  position: relative;
  top: 1em;
}

.wave:nth-child(2),
.wave:nth-child(3) {
  top: 210px;
}

.playing .wave {
  border-radius: 40%;
  animation: wave 3000ms infinite linear;
}

.wave {
  border-radius: 40%;
  animation: wave 55s infinite linear;
}

.playing .wave:nth-child(2) {
  animation-duration: 4000ms;
}

.wave:nth-child(2) {
  animation-duration: 50s;
}

.playing .wave:nth-child(3) {
  animation-duration: 5000ms;
}

.wave:nth-child(3) {
  animation-duration: 45s;
}

@keyframes wave {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/*Pic styles*/

.container-pic {
  position: relative;
  width: 225px;
  height: 325px;
  cursor: pointer;
}

.card-pic {
  position: absolute;
  inset: 2.5px;
  border-radius: 10px;
  transform-origin: bottom left;
  transition: 0.3s ease;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: #f1f4f7;
  font-weight: bold;
  text-shadow: 1px 1px 1px rgba(00, 05, 51, 1);
}

.container-pic .card-pic:nth-child(1) {
  animation: cardAnimation1 4s 0.5s infinite ease;
}

.container-pic .card-pic:nth-child(2) {
  animation: cardAnimation2 4s 1s infinite ease;
}

.container-pic .card-pic:nth-child(3) {
  animation: cardAnimation3 4s 1.5s infinite ease;
}

.container-pic .card-pic:nth-child(4) {
  animation: cardAnimation4 4s 2s infinite ease;
}

.card-pic:nth-child(1) {
  background: linear-gradient(0deg, #4776e6 0%, #8e54e9 100%);
}

.card-pic:nth-child(2) {
  background: linear-gradient(0deg, #b3ffab 0%, #12fff7 100%);
  opacity: 0;
}

.card-pic:nth-child(3) {
  background: linear-gradient(178deg, #ffb99a 0%, #ffdbc5 100%);
  opacity: 0;
}

.card-pic:nth-child(4) {
  background: linear-gradient(178deg, #606c88 0%, #3f4c6b 100%);
  opacity: 0;
}

@keyframes cardAnimation1 {
  0% {
    transform: rotateZ(0deg);
    opacity: 0;
    z-index: -1;
  }

  25% {
    transform: rotateZ(-20deg);
    opacity: 1;
    z-index: 0;
  }

  50% {
    transform: rotateZ(0deg);
    z-index: 1;
    opacity: 1;
  }

  75% {
    transform: rotateZ(20deg);
    z-index: 0;
    opacity: 1;
  }

  100% {
    transform: rotateZ(0deg);
    z-index: -1;
    opacity: 0;
  }
}

@keyframes cardAnimation2 {
  0% {
    transform: rotateZ(0deg);
    z-index: -1;
    opacity: 0;
  }

  45% {
    transform: rotateZ(-15deg);
    z-index: 0;
    opacity: 1;
  }

  60% {
    transform: rotateZ(0deg);
    z-index: 1;
    opacity: 1;
  }

  75% {
    transform: rotateZ(15deg);
    z-index: 0;
    opacity: 1;
  }

  100% {
    transform: rotateZ(0deg);
    z-index: -1;
    opacity: 0;
  }
}

@keyframes cardAnimation3 {
  0% {
    transform: rotateZ(0deg);
    z-index: -1;
    opacity: 0;
  }

  45% {
    transform: rotateZ(-20deg);
    z-index: 0;
    opacity: 0;
  }

  60% {
    transform: rotateZ(0deg);
    z-index: 1;
    opacity: 1;
  }

  75% {
    transform: rotateZ(20deg);
    z-index: 0;
    opacity: 1;
  }

  100% {
    transform: rotateZ(0deg);
    z-index: -1;
    opacity: 0;
  }
}

@keyframes cardAnimation4 {
  0% {
    transform: rotateZ(0deg);
    z-index: 0;
    opacity: 0;
  }

  35% {
    transform: rotateZ(-25deg);
    z-index: 0;
    opacity: 0.0;
  }

  75% {
    transform: rotateZ(0deg);
    z-index: 1;
    opacity: 1;
  }

  90% {
    transform: rotateZ(25deg);
    z-index: 0;
    opacity: 1;
  }

  100% {
    transform: rotateZ(0deg);
    z-index: 0;
    opacity: 0;
  }
}

/*Code 2 style*/

.card-code {
  width: 300px;
  height: 300px;
  background-color: inherit;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  position: relative;
}

.code-container {
  background-color: #222;
  border-radius: 8px;
  padding: 16px;
}

.line {
  display: block;
  color: #fff;
  font-size: 15px;
  line-height: 1.5;
  margin: 4px 0;
  position: relative;
}

.code-comment {
  color: #5c6370;
}

.code-keyword {
  color: #c678dd;
}

.code-function {
  color: #61afef;
}

.code-variable {
  color: #dcdcaa;
}

.code-string {
  color: #98c379;
}

.indent {
  padding-left: 20px;
}

/* Animación */
@keyframes float {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-10px);
  }

  100% {
    transform: translateY(0);
  }
}

.float-animation {
  animation: float 2s ease-in-out infinite;
}

/*btn*/
.btn-c:active {
  scale: 0.92;
}

.btn-c {

  font-size: 1.2rem;
  padding: 1rem 2.5rem;
  border: none;
  outline: none;
  border-radius: 0.4rem;
  cursor: pointer;
  text-transform: uppercase;
  color: rgb(234, 234, 234);
  font-weight: 700;
  transition: 0.6s;
  box-shadow: 0px 0px 60px #1f4c65;
  -webkit-box-reflect: below 10px linear-gradient(to bottom, rgba(0,0,0,0.0), rgba(0,0,0,0.4));

  background: rgb(2,29,78);
  background: linear-gradient(270deg, rgba(2, 29, 78, 0.681) 0%, rgba(31, 215, 232, 0.873) 60%);
  color: rgb(4, 4, 38);
}


.container-load {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container-load .square {
  position: absolute;
  width: 400px;
  height: 400px;
}

.container-load .square:nth-child(2) {
  transform: translate(-25%, -25%) rotateX(180deg);
  filter: hue-rotate(60deg);
}

.container-load .square:nth-child(3) {
  transform: translate(25%, 25%) rotate(180deg);
  filter: hue-rotate(180deg);
}

.container-load .square::before {
  content: '';
  position: absolute;
  width: 20px;
  height: 20px;
  background: #0f0;
  box-shadow: 0 0 0 8px #0f03, 0 0 0 15px #0f01;
  animation: animateSquare 4s linear infinite;
}

@keyframes animateSquare {
  0% {
    transform: translate(2px,2px);
  }

  25% {
    transform: translate(178px,2px);
  }

  50% {
    transform: translate(178px,178px);
  }

  75% {
    transform: translate(2px,178px);
  }

  100% {
    transform: translate(2px,2px);
  }
}

.container-load .square span {
  position: absolute;
  inset: 10px;
  overflow: hidden;
  transform: rotate(calc(90deg * var(--i)));
}

.container-load .square span::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 4px;
  background: #0f0;
  transform: translateX(-100%);
  animation: animate 4s linear infinite;
  animation-delay: calc(1s * var(--i));
}

@keyframes animate {
  0% {
    transform: translateX(-100%);
  }

  50%,100% {
    transform: translateX(100%);
  }
}